const getCurrentTabUrl = () => {
  return new Promise((resolve) => {
    browser.tabs.query({
      active: true,
      currentWindow: true
    }).then((tabs) => {
      resolve(tabs[0].url);
    });
  });
};

const getArchiveUrl = (type, url) => {
  switch (type) {
    case 'viewArchiveOrg':
      return `https://web.archive.org/web/*/${url}`;
    case 'saveArchiveOrg':
      return `https://web.archive.org/save/${url}`;
    case 'viewArchiveIs':
      return `https://archive.is/${url}`;
    case 'saveArchiveIs':
      return `https://archive.is/?url=${url}`;
    default:
      return url;
  }
};

const openArchiveUrl = async (type) => {
  const url = await getCurrentTabUrl();
  const archiveUrl = getArchiveUrl(type, url);
  browser.tabs.create({
    url: archiveUrl
  });
};

document.querySelectorAll("button").forEach(button => {
  button.addEventListener('click', (event) => {
    const id = event.target.id;
    openArchiveUrl(id);
  });
});